#include <stddef.h>
#include "GUI.h"
#include "DIALOG.h"

#include "WM.h"
#include "BUTTON.h"
#include "CHECKBOX.h"
#include "DROPDOWN.h"
#include "EDIT.h"
#include "FRAMEWIN.h"
#include "LISTBOX.h"
#include "MULTIEDIT.h"
#include "RADIO.h"
#include "SLIDER.h"
#include "TEXT.h"
#include "PROGBAR.h"
#include "SCROLLBAR.h"
#include "LISTVIEW.h"



//EventsFunctionList
void OnListViewClicked(WM_MESSAGE * pMsg);
void OnListViewReleased(WM_MESSAGE * pMsg);
void OnListViewMoveOut(WM_MESSAGE * pMsg);
void OnListViewScrollChanged(WM_MESSAGE * pMsg);
void OnListViewSelChanged(WM_MESSAGE * pMsg);
void OnButtonClicked(WM_MESSAGE * pMsg);
void OnxxxClicked(WM_MESSAGE * pMsg);
//EndofEventsFunctionList


/*********************************************************************
*
*       static data
*
**********************************************************************
*/

#define GUI_ID_BUTTON10   GUI_ID_USER+1
#define GUI_ID_BUTTON11   GUI_ID_USER+2
static const char * _lvTable_00[4] ={"1" , "1,2" , "18463758050" , "1,4" };
static const char * _lvTable_01[4] ={"1" , "2,2" , "2,3" , "2,4" };
static const char * _lvTable_02[4] ={"1" , "3,2" , "3,3" , "3,4" };
static const char * _lvTable_03[4] ={"2" , "4,2" , "4,3" , "4,4" };
static const char * _lvTable_04[4] ={"2" , "5,2" , "5,3" , "5,4" };
static const char * _lvTable_05[4] ={"2" , "6,2" , "6,3" , "6,4" };
static const char * _lvTable_06[4] ={"3" , "7,2" , "7,3" , "7,4" };
static const char * _lvTable_07[4] ={"3" , "8,2" , "8,3" , "8,4" };
static const char * _lvTable_08[4] ={"3" , "9,2" , "9,3" , "9,4" };
static const char * _lvTable_09[4] ={"4" , "10,2" , "10,3" , "10,4" };
static const char * _lvTable_010[5] ={"4" , "11,2" , "11,3" , "11,4" , "" };
static const char * _lvTable_011[4] ={"4" , "12,2" , "12,3" , "12,4" };


/*********************************************************************
*
*       Dialog resource
*
* This table conatins the info required to create the dialog.
* It has been created by ucGUIbuilder.
*/

static const GUI_WIDGET_CREATE_INFO _aDialogCreate[] = {
    { FRAMEWIN_CreateIndirect,  "Place Information Goods",0,                       0,  0,  800,480,FRAMEWIN_CF_MOVEABLE,0},
    { TEXT_CreateIndirect,      "Please Input The PhoneNumber",GUI_ID_TEXT0,            -2, 77, 351,33, 0,0},
    { EDIT_CreateIndirect,       NULL,               GUI_ID_EDIT0,            16, 140,302,51, 0,0},
    { BUTTON_CreateIndirect,    "1",                 GUI_ID_BUTTON0,          37, 220,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "2",                 GUI_ID_BUTTON1,          137,220,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "3",                 GUI_ID_BUTTON2,          237,220,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "5",                 GUI_ID_BUTTON4,          137,271,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "6",                 GUI_ID_BUTTON5,          237,271,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "7",                 GUI_ID_BUTTON6,          37, 320,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "8",                 GUI_ID_BUTTON7,          137,320,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "9",                 GUI_ID_BUTTON8,          237,320,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "0",                 GUI_ID_BUTTON9,          37, 370,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "DEL",               GUI_ID_BUTTON10,         137,370,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "OK",                GUI_ID_BUTTON11,         237,370,57, 34, 0,0},
    { BUTTON_CreateIndirect,    "4",                 GUI_ID_BUTTON3,          37, 270,57, 34, 0,0},
    { LISTVIEW_CreateIndirect,   NULL,               GUI_ID_LISTVIEW0,        341,54, 457,408,0,0}
};




static void _cbCallback(WM_MESSAGE * pMsg) 
{
    int NCode, Id;
    WM_HWIN hWin = pMsg->hWin;
    switch (pMsg->MsgId) 
    {
        case WM_PAINT:
           
            break;
        case WM_INIT_DIALOG:
			FRAMEWIN_SetClientColor(hWin,0x808080);
			FRAMEWIN_SetTextColor(hWin,0x000000);
			FRAMEWIN_SetFont(hWin,&GUI_Font24B_ASCII);
			FRAMEWIN_SetTextAlign(hWin,GUI_TA_TOP|GUI_TA_CENTER);
			FRAMEWIN_SetTitleHeight(hWin,24);
			//
			//GUI_ID_TEXT0
			//
			TEXT_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_TEXT0),0x808080);
			TEXT_SetFont(WM_GetDialogItem(hWin,GUI_ID_TEXT0),&GUI_Font24B_ASCII);
			//
			//GUI_ID_EDIT0
			//
			EDIT_SetFont(WM_GetDialogItem(hWin,GUI_ID_EDIT0),&GUI_Font24B_ASCII);
			EDIT_SetTextAlign(WM_GetDialogItem(hWin,GUI_ID_EDIT0),GUI_TA_VCENTER|GUI_TA_CENTER);
			//
			//GUI_ID_BUTTON0
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON0),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON0),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON1
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON1),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON1),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON2
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON2),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON2),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON4
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON4),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON4),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON5
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON5),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON5),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON6
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON6),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON6),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON7
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON7),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON7),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON8
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON8),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON8),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON9
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON9),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON9),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON10
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON10),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON10),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON11
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON11),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON11),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_BUTTON3
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON3),BUTTON_CI_UNPRESSED,0xb5e4ff);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON3),BUTTON_CI_PRESSED,0x008cff);
			//
			//GUI_ID_LISTVIEW0
			//
			LISTBOX_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),0,0xffffff);
			LISTVIEW_SetFont(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),&GUI_Font24_ASCII);
			//LISTVIEW_SetAutoScrollH(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),1);
			//LISTVIEW_SetAutoScrollV(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),1);
			LISTVIEW_AddColumn(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),90,"BASKET",GUI_TA_VCENTER|GUI_TA_LEFT);
			LISTVIEW_AddColumn(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),80,"GOODS",GUI_TA_VCENTER|GUI_TA_LEFT);
			LISTVIEW_AddColumn(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),200,"PHONENUM",GUI_TA_VCENTER|GUI_TA_CENTER);
			LISTVIEW_AddColumn(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),90,"SEND?",GUI_TA_VCENTER|GUI_TA_LEFT);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_00);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_01);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_02);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_03);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_04);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_05);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_06);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_07);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_08);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_09);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_010);
			LISTVIEW_AddRow(WM_GetDialogItem(hWin,GUI_ID_LISTVIEW0),_lvTable_011);

            break;
        case WM_KEY:
            switch (((WM_KEY_INFO*)(pMsg->Data.p))->Key) 
            {
                case GUI_KEY_ESCAPE:
                    GUI_EndDialog(hWin, 1);
                    break;
                case GUI_KEY_ENTER:
                    GUI_EndDialog(hWin, 0);
                    break;
            }
            break;
        case WM_NOTIFY_PARENT:
            Id = WM_GetId(pMsg->hWinSrc); 
            NCode = pMsg->Data.v;        
            switch (Id) 
            {
                case GUI_ID_OK:
                    if(NCode==WM_NOTIFICATION_RELEASED)
                        GUI_EndDialog(hWin, 0);
                    break;
                case GUI_ID_CANCEL:
                    if(NCode==WM_NOTIFICATION_RELEASED)
                        GUI_EndDialog(hWin, 0);
                    break;
                case GUI_ID_BUTTON0:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnButtonClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON1:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON2:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON4:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON5:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON6:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON7:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON8:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON9:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON10:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON11:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnxxxClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_BUTTON3:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnButtonClicked(pMsg);
                            break;
                    }
                    break;
                case GUI_ID_LISTVIEW0:
                    switch(NCode)
                    {
                        case WM_NOTIFICATION_CLICKED:
                            OnListViewClicked(pMsg);
                            break;
                        case WM_NOTIFICATION_RELEASED:
                            OnListViewReleased(pMsg);
                            break;
                        case WM_NOTIFICATION_MOVED_OUT:
                            OnListViewMoveOut(pMsg);
                            break;
                        case WM_NOTIFICATION_SCROLL_CHANGED:
                            OnListViewScrollChanged(pMsg);
                            break;
                        case WM_NOTIFICATION_SEL_CHANGED:
                            OnListViewSelChanged(pMsg);
                            break;
                    }
                    break;

            }
            break;
        default:
            WM_DefaultProc(pMsg);
    }
}


void Task_CoreInterface(void)              		 //Ľ
{ 
    WM_SetDesktopColor(GUI_WHITE);      /* Automacally update desktop window */
    WM_SetCreateFlags(WM_CF_MEMDEV);  /* Use memory devices on all windows to avoid flicker */
    //PROGBAR_SetDefaultSkin(PROGBAR_SKIN_FLEX);
    //FRAMEWIN_SetDefaultSkin(FRAMEWIN_SKIN_FLEX);
    //PROGBAR_SetDefaultSkin(PROGBAR_SKIN_FLEX);
    //BUTTON_SetDefaultSkin(BUTTON_SKIN_FLEX);
    //CHECKBOX_SetDefaultSkin(CHECKBOX_SKIN_FLEX);
    //DROPDOWN_SetDefaultSkin(DROPDOWN_SKIN_FLEX);
    //SCROLLBAR_SetDefaultSkin(SCROLLBAR_SKIN_FLEX);
    //SLIDER_SetDefaultSkin(SLIDER_SKIN_FLEX);
    //HEADER_SetDefaultSkin(HEADER_SKIN_FLEX);
    //RADIO_SetDefaultSkin(RADIO_SKIN_FLEX);
    GUI_ExecDialogBox(_aDialogCreate, GUI_COUNTOF(_aDialogCreate), &_cbCallback, 0, 0, 0);
}

