#include "led.h"
#include "delay.h"
#include "key.h"
#include "sys.h"
#include "ili9340.h"
#include "usart.h"
#include "touch.h"
#include "timer.h"
#include "GUI.h"
#include "DIALOG.h"
#include "WM.h"
#include "BUTTON.h"
#include "CHECKBOX.h"
#include "DROPDOWN.h"
#include "EDIT.h"
#include "FRAMEWIN.h"
#include "LISTBOX.h"
#include "MULTIEDIT.h"
#include "RADIO.h"
#include "SLIDER.h"
#include "TEXT.h"
#include "PROGBAR.h"
#include "SCROLLBAR.h"
#include "LISTVIEW.h"
#include "beep.h"
#include "malloc.h"
#include "sram.h"


extern void Task_RecPutSelect(void);  

 int main(void)
 {	 
	
	delay_init();	    	 //ʱʼ	  
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);	//NVICжϷ2:2λռȼ2λӦȼ

	uart_init(9600);	 	//ڳʼΪ9600
 	LED_Init();			     //LED˿ڳʼ
	BEEP_Init();             //ʼ
	Ili9340_Init();          //LCDʼ
	TP_Init();	                                    //ʼ
	FSMC_SRAM_Init();		//ʼSRAM
	my_mem_init(SRAMIN); 	//ʼڲڴ
	my_mem_init(SRAMEX);  	//ʼⲿڴ
//	 tp_dev.init();
	 
	TIM3_Int_Init(99,7199);   //TIM3,ԶװֵԤƵֵ
	GUI_Init();
	GUI_SetBkColor(GUI_BLUE);
	GUI_Clear();

	Task_RecPutSelect(); 

	while(1)
	{
		GUI_Exec(); 
	}


}
