/*
******************************************************************
**                      uCGUIBuilder                            **
**                  Version:   4.0.0.0                          **
**                     2012 / 04                               **
**                   CpoyRight to: wyl                          **
**              Email:ucguibuilder@163.com                        **
**          This text was Created by uCGUIBuilder               **
******************************************************************/

#include <stddef.h>
#include "GUI.h"
#include "DIALOG.h"

#include "WM.h"
#include "BUTTON.h"
#include "CHECKBOX.h"
#include "DROPDOWN.h"
#include "EDIT.h"
#include "FRAMEWIN.h"
#include "LISTBOX.h"
#include "MULTIEDIT.h"
#include "RADIO.h"
#include "SLIDER.h"
#include "TEXT.h"
#include "PROGBAR.h"
#include "SCROLLBAR.h"
#include "LISTVIEW.h"
#include "sys.h"

extern char InputPasswordString[];   
char CorrectMessage[]={"The Password Is Right,Entering!"};  //ȷϢ
char WrongMessage[]={"The Passwrod Is Wrong,ReEnter!"};		//Ϣ
char Wrong4Message[]={"Wrong Four Times!Please Restart"};    //4Ϣ
							

extern WM_HWIN PasswordWin; 				//봰ھ
extern u8 PassRightFlag;                    //ȷ־λ
extern void Task_CoreInterface(void);      	//Ľ


static const GUI_WIDGET_CREATE_INFO _aMessageDialogCreate[] = {
    { FRAMEWIN_CreateIndirect,  "Message",           0,                       200,  120,  400,240,FRAMEWIN_CF_MOVEABLE,0},
    { TEXT_CreateIndirect,      " ",GUI_ID_TEXT0,            3, 68, 397,59, 0,0},
    { BUTTON_CreateIndirect,    "OK",                GUI_ID_BUTTON0,          137,171,117,41, 0,0}
};




static void _cbCallbackMessage(WM_MESSAGE * pMsg) 
{
    int NCode, Id;
    WM_HWIN hWin = pMsg->hWin;
    switch (pMsg->MsgId) 
    {
        case WM_PAINT:
            
            break;
        case WM_INIT_DIALOG:
			FRAMEWIN_SetClientColor(hWin,0xc0c0c0);
			FRAMEWIN_SetFont(hWin,&GUI_Font24B_ASCII);
			FRAMEWIN_SetTextAlign(hWin,GUI_TA_TOP|GUI_TA_CENTER);
			FRAMEWIN_SetTitleHeight(hWin,24);
			//
			//GUI_ID_TEXT0
			//
			TEXT_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_TEXT0),0xe0e0e0);
			TEXT_SetTextColor(WM_GetDialogItem(hWin,GUI_ID_TEXT0),0x0000ff);
			TEXT_SetFont(WM_GetDialogItem(hWin,GUI_ID_TEXT0),&GUI_Font24B_ASCII);
			if(PassRightFlag==1)
			TEXT_SetText(WM_GetDialogItem(hWin,GUI_ID_TEXT0),CorrectMessage);
			else if(PassRightFlag==0)
			TEXT_SetText(WM_GetDialogItem(hWin,GUI_ID_TEXT0),WrongMessage);	
			else
			TEXT_SetText(WM_GetDialogItem(hWin,GUI_ID_TEXT0),Wrong4Message);	
			//
			//GUI_ID_BUTTON0
			//
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON0),BUTTON_CI_UNPRESSED,0xb48246);
			BUTTON_SetBkColor(WM_GetDialogItem(hWin,GUI_ID_BUTTON0),BUTTON_CI_PRESSED,0x00a5ff);
            break;
        case WM_KEY:
            switch (((WM_KEY_INFO*)(pMsg->Data.p))->Key) 
            {
                case GUI_KEY_ESCAPE:
                    GUI_EndDialog(hWin, 1);
                    break;
                case GUI_KEY_ENTER:
                    GUI_EndDialog(hWin, 0);
                    break;
            }
            break;
        case WM_NOTIFY_PARENT:
            Id = WM_GetId(pMsg->hWinSrc); 
            NCode = pMsg->Data.v;        
            switch (Id) 
            {
                case GUI_ID_OK:
                    if(NCode==WM_NOTIFICATION_CLICKED)
                        GUI_EndDialog(hWin, 0);
                    break;
                case GUI_ID_CANCEL:
                    if(NCode==WM_NOTIFICATION_RELEASED)
                        GUI_EndDialog(hWin, 0);
                    break;
				case GUI_ID_BUTTON0:
					 if(NCode==WM_NOTIFICATION_CLICKED)
                        GUI_EndDialog(hWin, 0);
						InputPasswordString[0]='\0';         			 //ַ
						TEXT_SetText(WM_GetDialogItem(hWin,GUI_ID_TEXT0),""); //ı
					 if(PassRightFlag==1)                   //ȷ½
					 {
						 GUI_EndDialog(PasswordWin,0);   	//رĽ
						 PassRightFlag=0;				//ȷ־λ0
					 Task_CoreInterface();    	  //Ľ
					 }
					 	
                    break;

            }
            break;
        default:
            WM_DefaultProc(pMsg);
    }
}


/*********************************************************************
*
*       MainTask
*
**********************************************************************
*/
void Task_Message(void) 
{ 

    WM_SetDesktopColor(GUI_WHITE);      /* Automacally update desktop window */
    WM_SetCreateFlags(WM_CF_MEMDEV);  /* Use memory devices on all windows to avoid flicker */
    //PROGBAR_SetDefaultSkin(PROGBAR_SKIN_FLEX);
    //FRAMEWIN_SetDefaultSkin(FRAMEWIN_SKIN_FLEX);
    //PROGBAR_SetDefaultSkin(PROGBAR_SKIN_FLEX);
    //BUTTON_SetDefaultSkin(BUTTON_SKIN_FLEX);
    //CHECKBOX_SetDefaultSkin(CHECKBOX_SKIN_FLEX);
    //DROPDOWN_SetDefaultSkin(DROPDOWN_SKIN_FLEX);
    //SCROLLBAR_SetDefaultSkin(SCROLLBAR_SKIN_FLEX);
    //SLIDER_SetDefaultSkin(SLIDER_SKIN_FLEX);
    //HEADER_SetDefaultSkin(HEADER_SKIN_FLEX);
    //RADIO_SetDefaultSkin(RADIO_SKIN_FLEX);
	GUI_CreateDialogBox(_aMessageDialogCreate, GUI_COUNTOF(_aMessageDialogCreate), &_cbCallbackMessage, PasswordWin, 0, 0);
 
	
}

